org.apache.tinkerpop.gremlin.driver.ser

## Class AbstractGryoMessageSerializerV1d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer<Kryo>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV1d0

- All Implemented Interfaces:
    MessageSerializer<Kryo>
  Direct Known Subclasses:
    GryoLiteMessageSerializerV1d0, GryoMessageSerializerV1d0

  Deprecated.
  As of release 3.4.3, replaced by `GraphBinaryMessageSerializerV1`.

      @Deprecated
      public abstract class AbstractGryoMessageSerializerV1d0
      extends AbstractMessageSerializer<Kryo>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `serializeToString` Deprecated.
    `static String` | `TOKEN_BUFFER_SIZE` Deprecated.
    `static String` | `TOKEN_CLASS_RESOLVER_SUPPLIER` Deprecated.
    `static String` | `TOKEN_CUSTOM` Deprecated.
    `static String` | `TOKEN_SERIALIZE_RESULT_TO_STRING` Deprecated.

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGryoMessageSerializerV1d0(GryoMapper kryo)` Deprecated. Creates an instance with a provided mapper configured `GryoMapper` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Map<String,Object> config, Map<String,Graph> graphs)` Deprecated. Configure the serializer with mapper settings as required.
    `RequestMessage` | `deserializeRequest(ByteBuf msg)` Deprecated. Deserialize a Netty `ByteBuf` into a `RequestMessage`.
    `ResponseMessage` | `deserializeResponse(ByteBuf msg)` Deprecated. Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
    `Kryo` | `getMapper()` Deprecated. Gets the "mapper" that performs the underlying serialization work.
    `ByteBuf` | `serializeRequestAsBinary(RequestMessage requestMessage, ByteBufAllocator allocator)` Deprecated. Serialize a `ResponseMessage` to a Netty `ByteBuf`.
    `ByteBuf` | `serializeResponseAsBinary(ResponseMessage responseMessage, ByteBufAllocator allocator)` Deprecated. Serialize a `ResponseMessage` to a Netty `ByteBuf`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `mimeTypesSupported`

- - ### Field Detail

    - #### TOKEN_CUSTOM

          public static final String TOKEN_CUSTOM

      Deprecated.
      See Also:
        Constant Field Values

    - #### TOKEN_SERIALIZE_RESULT_TO_STRING

          public static final String TOKEN_SERIALIZE_RESULT_TO_STRING

      Deprecated.
      See Also:
        Constant Field Values

    - #### TOKEN_BUFFER_SIZE

          public static final String TOKEN_BUFFER_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### TOKEN_CLASS_RESOLVER_SUPPLIER

          public static final String TOKEN_CLASS_RESOLVER_SUPPLIER

      Deprecated.
      See Also:
        Constant Field Values

    - #### serializeToString

          protected boolean serializeToString

      Deprecated.

  - ### Constructor Detail

    - #### AbstractGryoMessageSerializerV1d0

          public AbstractGryoMessageSerializerV1d0(GryoMapper kryo)

      Deprecated.
      Creates an instance with a provided mapper configured `GryoMapper` instance. Note that this instance will be overridden by `configure(java.util.Map<java.lang.String, java.lang.Object>, java.util.Map<java.lang.String, org.apache.tinkerpop.gremlin.structure.Graph>)` is called.

  - ### Method Detail

    - #### getMapper

          public Kryo getMapper()

      Deprecated.
      Description copied from interface: `MessageSerializer`
      Gets the "mapper" that performs the underlying serialization work.

    - #### configure

          public final void configure(Map<String,Object> config,
                                      Map<String,Graph> graphs)

      Deprecated.
      Description copied from interface: `MessageSerializer`
      Configure the serializer with mapper settings as required. The default implementation does not perform any function and it is up to the interface implementation to determine how the configuration will be executed and what its requirements are. An implementation may choose to use the list of available graphs to help initialize a serializer. The implementation should account for the possibility of a null value being provided for that parameter.

    - #### deserializeResponse

          public ResponseMessage deserializeResponse(ByteBuf msg)
                                              throws SerializationException

      Deprecated.
      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
      Throws:
        `SerializationException`

    - #### serializeResponseAsBinary

          public ByteBuf serializeResponseAsBinary(ResponseMessage responseMessage,
                                                   ByteBufAllocator allocator)
                                            throws SerializationException

      Deprecated.
      Description copied from interface: `MessageSerializer`
      Serialize a `ResponseMessage` to a Netty `ByteBuf`.
      Parameters:
        `responseMessage` - The response message to serialize to bytes.
        `allocator` - The Netty allocator for the `ByteBuf` to return back.
      Throws:
        `SerializationException`

    - #### deserializeRequest

          public RequestMessage deserializeRequest(ByteBuf msg)
                                            throws SerializationException

      Deprecated.
      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `RequestMessage`.
      Throws:
        `SerializationException`

    - #### serializeRequestAsBinary

          public ByteBuf serializeRequestAsBinary(RequestMessage requestMessage,
                                                  ByteBufAllocator allocator)
                                           throws SerializationException

      Deprecated.
      Description copied from interface: `MessageSerializer`
      Serialize a `ResponseMessage` to a Netty `ByteBuf`.
      Parameters:
        `requestMessage` - The request message to serialize to bytes.
        `allocator` - The Netty allocator for the `ByteBuf` to return back.
      Throws:
        `SerializationException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.